Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.links.controls
Interface LinksCmxControl

All Superinterfaces
  CmxControl, com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

    public interface LinksCmxControl

extends com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`CmxControl @ControlExtension` for creating the `LINK` ObjectClass, `Nodes` of that type (wrapped in a `Link`/No

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `FIND_ALL`
`static String` | `FIND_ONE`
`static String` | `LINK`

Method Summary
`Link` | `createLink(String title, BinaryValue url, String urlType, String description, String visibility, String owner, ID parentNode, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` creates the `LINK ObjectClass` and `Node`s of that type (wrapped in an `Link`) `LINK` extends the `COMMUNITY_CONTENT` ObjectClass

Field Detail

### LINK

    static final String LINK

See Also
  Constants Summary

### FIND_ONE

    static final String FIND_ONE

See Also
  Constants Summary

### FIND_ALL

    static final String FIND_ALL

See Also
  Constants Summary

Method Detail

### createLink

    Link createLink(String title,
                    BinaryValue url,
                    String urlType,
                    String description,
                    String visibility,
                    String owner,
                    ID parentNode,
                    ID[] relatedNodes,
                    Set<CmxControl.PropertyPair> dynamicProps)
                    throws AuthenticationException,
                           AuthorizationException,
                           NodeExistsException,
                           NoSuchObjectClassException,
                           RepositoryException,
                           InstantiationException,
                           IllegalAccessException,
                           InvocationTargetException,
                           SQLException,
                           GSNonUniqueContentException

  creates the `LINK ObjectClass` and `Node`s of that type (wrapped in an `Link`)

  `LINK` extends the `COMMUNITY_CONTENT` ObjectClass

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `GSNonUniqueContentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved